function [S_y_0, S_x, S_y_h_b] = momentsofdsge(bigpi,bigw,Sdmat,p_order)
% function [S_y, S_y_h, deiktes_matrix, S_y_0] = momentsofdsge(A,B,C,S_u,p_order);
% S_y_0 cov of Y(t)
% S_x cov of X(t) 
A = Sdmat * bigpi;
B = bigpi;
C = bigw;

[nb kb]= size(B); [nA kA] = size(A);
S_u = eye(nA);

vec_S_x = (eye(nb^2) - kron(B,B)) \ vec( C * S_u * C' );

S_x = reshape( vec_S_x, [nb nb] );

S_y_0 = A * S_x * A';
Dtemp = inv(sqrt(diag(diag(S_y_0))));
S_y_h_b(:,:,1) = Dtemp*S_y_0*Dtemp;

% deiktes = [1:1:p_order]';

% S_y_h = zeros(nA,p_order*nA);
for i = 1 : p_order;
%     S_y_h(:,(i-1) * nA + 1 : i * nA) = A * ( B ^ i ) * S_x * A';
    temp = A * ( B ^ i ) * S_x * A';   
    S_y_h_b(:,:,i+1) = Dtemp*temp*Dtemp;
%     if i == 1;
%         deiktes_matrix(:,i) = deiktes;
%     else
%         deiktes_matrix(:,i) = [flipud([2:1:i]') ; deiktes(1 :p_order-(i-1),1)];
%     end;
end;

% for i = 1 : p_order;
%     S_y_h_b
% end

% S_y = zeros(p_order*nA,p_order*nA);
% % 
% for i = 1 : p_order;
%     for j = 1 : p_order;
%         if j >= i;
%             S_y((j-1)*nA+1:j*nA,(i-1)*nA+1:i*nA) = S_y_h_b(:,:,deiktes_matrix(j,i))';
%         elseif j < i;
%             S_y((j-1)*nA+1:j*nA,(i-1)*nA+1:i*nA) = S_y_h_b(:,:,deiktes_matrix(j,i));
%         end;
%     end;
% end;
% 
% Betatheta = S_y_h * inv(S_y);
% SigmaUtheta = S_y_0 - Betatheta * S_y_h';
% BetaSigma = kron(inv(S_y),SigmaUtheta);