function y = datasim(piM, wM, SdmatM,sigma, nlength,nburn)

[dx dy] = size(wM);
x = zeros(dx,nlength);
ee = (randn(dy,nlength+1)'*chol(sigma))';
for i = 1:nlength
    x(:,i+1) = piM*x(:,i) + wM*ee(:,i+1);
end

y = SdmatM*piM*x(:,nburn+1:end);