clear
addpath('functions')
fname='.\recursivevar\results_av_m1dALTscaled.mat';
load(fname);
fname='.\proxyvar\results_av_m3d.mat';
load(fname);
HORZ=36;
HH=1963+(6/12):1/12:2008+(6/12);
figure(1)
subplot(4,2,1)
plotx8(HH,[m1hd(:,2,1) m3hd(:,1,2) sum(m1hd(:,:,1),2)])
[x1(1),x2(1),x3(1)]=stdprop([m1hd(:,2,1) m3hd(:,1,2) sum(m1hd(:,:,1),2)]);
title('Stock Price Index');
axis tight
subplot(4,2,2)
plotx8(HH,[m1hd(:,2,3) m3hd(:,1,3) sum(m1hd(:,:,3),2)])
[x1(2),x2(2),x3(2)]=stdprop([m1hd(:,2,3) m3hd(:,1,3) sum(m1hd(:,:,3),2)]);
title('FFR');
axis tight
subplot(4,2,3)
plotx8(HH,[m1hd(:,2,4) m3hd(:,1,4) sum(m1hd(:,:,4),2)])
[x1(3),x2(3),x3(3)]=stdprop([m1hd(:,2,4) m3hd(:,1,4) sum(m1hd(:,:,4),2)]);
title('Wage');
axis tight
subplot(4,2,4)
plotx8(HH,[m1hd(:,2,5) m3hd(:,1,5) sum(m1hd(:,:,5),2)])
[x1(4),x2(4),x3(4)]=stdprop([m1hd(:,2,5) m3hd(:,1,5) sum(m1hd(:,:,5),2)]);
title('CPI');
axis tight
subplot(4,2,5)
plotx8(HH,[m1hd(:,2,6) m3hd(:,1,6) sum(m1hd(:,:,6),2)])
[x1(5),x2(5),x3(5)]=stdprop([m1hd(:,2,6) m3hd(:,1,6) sum(m1hd(:,:,6),2)]);
title('Hours');
axis tight
subplot(4,2,6)
plotx8(HH,[m1hd(:,2,7) m3hd(:,1,7) sum(m1hd(:,:,7),2)])
[x1(6),x2(6),x3(6)]=stdprop([m1hd(:,2,7) m3hd(:,1,7) sum(m1hd(:,:,7),2)]);

title('Employment');
axis tight
subplot(4,2,7)
plotx8(HH,[m1hd(:,2,8) m3hd(:,1,8) sum(m1hd(:,:,8),2)])
[x1(7),x2(7),x3(7)]=stdprop([m1hd(:,2,8) m3hd(:,1,8) sum(m1hd(:,:,8),2)]);

title('Industrial Production');
legend('Cholesky VAR','Proxy SVAR','De-trended Data')
axis tight


