function plotx1(y,ylim1,ylim2,x)

t=size(y,1);
if nargin<4
    x=0:t-1;
    x=x';
end;

if y(2,2)<y(2,3)
    uq = y(:,3);
    lq = y(:,2);
else 
    lq = y(:,3);
    uq = y(:,2);
end

ymed = y(:,1);
bvalue = min(lq);               % min value of the plot
if nargin<2
    % lower quantile
    h = area(x,uq,'LineStyle','none');
    set(h,'BaseValue',(1-0.05)*bvalue);
    set(h,'FaceColor',[0.702 0.7804 1]);
    xlim([0 max(x)+0.1]);

    % upper quantile
    hold on;
    g = area(x,lq,'LineStyle','none');
    set(g,'BaseValue',(1-0.05)*bvalue);
    set(g,'FaceColor',[1 1 1]);
    xlim([0 max(x)+0.1]);
    % median
    hold on;
    plot(x,ymed,'LineWidth',1);
    hold off;
    xlim([0 max(x)+0.1]);
    hold on;
    plot(x,zeros(1,length(x)),'k');
    hold off;
    xlim([0 max(x)+0.1]);
else
    % lower quantile
    h = area(x,uq,'LineStyle','none');
    set(h,'BaseValue',(1-0.05)*bvalue);
    set(h,'FaceColor',[0.702 0.7804 1]);
    xlim([0 max(x)+0.1]);
    ylim([ylim1 ylim2]);
    % upper quantile
    hold on;
    g = area(x,lq,'LineStyle','none');
    set(g,'BaseValue',(1-0.05)*bvalue);
    set(g,'FaceColor',[1 1 1]);
    xlim([0 max(x)+0.1]);
    ylim([ylim1 ylim2]);
    % median
    hold on;
    plot(x,ymed,'LineWidth',1);
    hold off;
    xlim([0 max(x)+0.1]);
    ylim([ylim1 ylim2]);
    hold on;
    plot(x,zeros(1,length(x)),'k');
    hold off;
    xlim([0 max(x)+0.1]);
    ylim([ylim1 ylim2]);
end