function y = REsimdata(Theta, T, burn)
if nargin<3
    burn = 1000;
end
[G1 impact H PROBLEM modinfo] = REsolution(Theta);
neps    = length(fieldnames(modinfo.e));
sigma   = diag(Theta(end-neps+1:end));
y = datasim(G1,impact*sigma, H, burn+T,burn)';
y = y - repmat(mean(y),size(y,1),1);
