function [z,eu2,div,qi]=gensys_z2new(g0,g1,c,psi,gpi)


eu2=NaN*ones(2,1);
% n2 = size(gpi,2);  %number of expectational errors.
realsmall=1e-9;
%fixdiv=(nargin==6);
n = size(g0,1);
[a b q z] = qz(g0,g1);
%if ~fixdiv, div=1.01; end
%nunstab=0;


zxz=0;
for i=1:n
    if abs(a(i,i))<realsmall && abs(b(i,i))<realsmall
        zxz=1;
    end
end
if ~zxz
    % gev=[diag(a) diag(b)];
    % %sort(diag(b)./diag(a))
    % gevsort = sort(abs(gev(:,1)).\abs(gev(:,2)));
    %div = (gevsort(end-n2+1) + gevsort(end-n2))/2.0;
    gevsort = sort(abs(diag(b))./abs(diag(a)));
    div=1.000001;
    [a,b,q,z] = ordqz(a,b,q,z,'udo');
%     [a b q z] = qzdiv(div,a,b,q,z);
    qi = length(find(gevsort<=div));

end

if zxz
    %disp('Coincident zeros.  Indeterminacy and/or nonexistence.')
    eu2=[-2;-2];
    % correction added 7/29/2003.  Otherwise the failure to set output
    % arguments leads to an error message and no output (including eu2).
    z=[];
    qi=[];
    div=[];
    return;
end
