clear;
addpath('functions')
datac=xlsread('\data_avol_mod1d.xlsx');
vol=xlsread('volatbl.xlsx');
% datac=[datac(:,1) datac(:,2).*vol datac(:,3:end)];
L=12;       %number of lags
HORZ=36;    %number of periods to compute the impulse response for
shockcolumn=2; %the equation to shock
Bootstrap=1;   % 1 if error bands are to be produced
Reps=10000;      % Number of replications for bootstrap


%estimate VAR with Cholesky decomposition
scale=1;
[m1save,m1saveL,m1saveH,m1fevd,m1base,m1hd]=...
    runcholvarolsKALTSCALED(datac,L,HORZ,shockcolumn,Bootstrap,Reps,scale);
 save results_av_m1DALTscaled