clear;
addpath('functions')
datac=xlsread('\data_avol_mod1d.xlsx');
vol=xlsread('volatbl.xlsx');
% datac=[datac(:,1) datac(:,2).*vol datac(:,3:end)];
L=12;       %number of lags
HORZ=36;    %number of periods to compute the impulse response for
shockcolumn=2; %the equation to shock
Bootstrap=1;   % 1 if error bands are to be produced
Reps=10000;      % Number of replications for bootstrap

datax=[datac(:,1) vol datac(:,3:end)];
%estimate VAR with Cholesky decomposition
scale=1;
[m1save]=...
   testc(datax,L,HORZ,shockcolumn,Bootstrap,Reps,scale);
mx=m1save./m1save(1,2);
save mx mx