function y = MSsimdata(Theta1,Theta2,pp, T, burn)
if nargin<5
    burn = 1000;
end
[G1,G2,impact1,impact2,H,problem,modinfo]=MSsolution([Theta1 Theta2],pp);
% problem
neps    = length(fieldnames(modinfo.e));
sigma1   = diag(Theta1(end-neps+1:end));
sigma2   = diag(Theta1(end-neps+1:end));
y1 = datasim(G1,impact1, H, sigma1, burn+T,burn)';
y2 = datasim(G2,impact2, H, sigma2, burn+T,burn)';
y  = [y1; y2];
y = y - repmat(mean(y),size(y,1),1);
