function [fsave,fsaveL,fsaveH,FEVDOUT,BASE,HD,beta2,sigma,A0]=runcholvarolsKALT(data,L,HORZ,shockcolumn,BS,REPS)

Y=data;
N=cols(Y);
%take lags
X=[];
for j=1:L
X=[X lag0(data,j) ];
end
X=[X ones(rows(X),1)];
Y=Y(L+1:end,:);
X=X(L+1:end,:);



T=rows(Y);

beta2=X\Y;
res=Y-X*beta2;
res1 = detrend(res,'constant');
sigma=(res'*res)/(T-cols(X));

         
        A0=chol(sigma);
        shock=zeros(1,N);
        shock(shockcolumn)=1;
         yhat = irfsim(beta2,N,L,A0,shock,HORZ);
         
       
%          fsave=yhat(1:end,:)./yhat(1,shockcolumn);
sfactor=(1./yhat(1,end))*0.01*-1;

 fsave=yhat.*sfactor;
         %compute variance decomposition
         FEVDOUT= getfevd( HORZ,N,L,beta2,A0 );
         %compute Historical decomposition
         
%          [BASE,OUT2,HISTOUT]=historyfast(vec(beta2),A0,res,N,L,T,Y,(1:N)');  
        %code by K Theodoridis
        Aols=[beta2(end,:)' beta2(1:end-1,:)'];
        IdentMat=A0';
        datamat=data';
        errormat=res*inv(A0);
        const=1;
        
        DecompVAR=var_historical_decomp(Aols,IdentMat,datamat,...
    errormat',const);
     BASE=DecompVAR.initeffecty;
     HD=DecompVAR.yfs;
       %wild bootstrap code follows Mertens and Ravn 
       fsaveL=0;
       fsaveH=0;
      if BS
          fsaveb=zeros(REPS,HORZ,N);
       jj=1;
       while jj<REPS+1
       rr = 1-2*(rand(T,1)>0.5);
       resb = (res1.*(rr*ones(1,N)));
       yb=zeros(T+L,N);
       yb(1:L,:)=Y(1:L,:);
       for j=L+1:T+L
           xb=[];
           for ii=1:L
               xb=[xb yb(j-ii,:)];
           end
           xb=[xb 1];
           yb(j,:)=xb*beta2+resb(j-L,:);
       end
       %estimate VAR on BS data
       %take lags
xb=[];
for j=1:L
xb=[xb lag0(yb,j) ];
end
xb=[xb ones(rows(xb),1)];
yb=yb(L+1:end,:);
xb=xb(L+1:end,:);
beta2b=xb\yb;
resbb=yb-xb*beta2b;
sigmab=(resbb'*resbb)/(rows(xb)-cols(xb));
A0b=chol(sigmab);
        shock=zeros(1,N);
        shock(shockcolumn)=1;
         yhatb = irfsim(beta2b,N,L,A0b,shock,HORZ);         
         fsaveb(jj,:,:)=yhatb(1:end,:).*sfactor;%./yhatb(1,shockcolumn);
         jj=jj+1;
       end
       fsaveL=squeeze(prctile(fsaveb,5,1));
fsaveH=squeeze(prctile(fsaveb,95,1));
      end



end


