function [eta_1,lmbd]=est_eta(z,eps,neta1)

% The structural error is give by eta_1 = b'eps.
% Z is a vector of instruments that is correlated with
% eta_1 but uncorrelated with the other eta's.

%% This part is est_eta function from Stock-Watson Code
if neta1 > cols(z);
    disp('Too Few Instruments')
    eta_1=[];
    return;
end;

tmp=packr([z eps]);
zp = tmp(:,1:cols(z));
ep = tmp(:,cols(z)+1:cols(z)+cols(eps));
tmp = 1;
[alpha,~,~,lmbd]=canon(zp,ep,tmp,neta1);
eta_1 = eps*alpha;
