clear;
clc
addpath('functions');
data0=xlsread('\dataE.xls');
L=12;       %number of lags
HORZ=1000;    %number of periods to compute the impulse response for
Bootstrap=0;   % 1 if error bands are to be produced
Reps=10000;      % Number of replications for bootstrap

datac=[data0(:,end) data0(:,[1 3:8])];


%Estimate proxy VAR                                %Variables in the VAR %Instrument
[ m3save,m3saveL,m3saveH,m3fevd,m3base,m3hd,VAR01 ] = runproxyvar( datac,data0(:,2),L,HORZ,Bootstrap,Reps );
 cont=squeeze((m3fevd(end,1,:)));