function y = symmat(x)
% SYMMAT(X)
%	makes a symmetric matrix using lower triangular part

% June 9, 2004
% Sungbae An

[n,m]=size(x);
if n~=m
	error('Input matrix should be square.');
end

y = tril(x,-1) + tril(x)';
