clear;
addpath('functions')
datac=xlsread('\dataE.xls');
datac=datac(:,1:end-1);
% datac=[datac(:,1) datac(:,2).*vol datac(:,3:end)];
L=12;       %number of lags
HORZ=1000;    %number of periods to compute the impulse response for
shockcolumn=2; %the equation to shock
Bootstrap=0;   % 1 if error bands are to be produced
Reps=10000;      % Number of replications for bootstrap


%estimate VAR with Cholesky decomposition
scale=1;
[m1save,m1saveL,m1saveH,m1fevd,m1base,m1hd]=...
    runcholvarolsKALTSCALED(datac,L,HORZ,shockcolumn,Bootstrap,Reps,scale);
 cont=squeeze(m1fevd(end,2,:));