clear;
clc
addpath('functions');
datac=xlsread('\data_avol_m3.xlsx');
L=12;       %number of lags
HORZ=36;    %number of periods to compute the impulse response for
Bootstrap=1;   % 1 if error bands are to be produced
Reps=10000;      % Number of replications for bootstrap




%Estimate proxy VAR                                %Variables in the VAR %Instrument
[ m3save,m3saveL,m3saveH,m3fevd,m3base,m3hd,VAR01 ] = runproxyvar( datac(:,1:end-1),datac(:,end),L,HORZ,Bootstrap,Reps );
save results_av_m3D