clear
addpath('functions')
fname='.\recursivevar\results_av_m1dALTscaled.mat';
load(fname);
fname='.\proxyvar\results_av_m3d.mat';
load(fname);
HORZ=36;
HH=0:HORZ-1;
figure(1)
subplot(8,2,1)
plotx6(HH,[m1save(:,1) m1saveL(:,1) m1saveH(:,1)]*100);
axis tight;
ylabel('Stock Price Index');
title('Cholesky Decomposition');
subplot(8,2,2)
plotx6(HH,[m3save(:,2) m3saveL(:,2) m3saveH(:,2)]*1500);
axis tight;
title('Proxy SVAR');
%
subplot(8,2,3)
plotx6(HH,[m1save(:,2) m1saveL(:,2) m1saveH(:,2)]*1);
axis tight;
ylabel('Volatility Indicator');

subplot(8,2,4)
plotx6(HH,[m3save(:,1) m3saveL(:,1) m3saveH(:,1)]*15);
axis tight;
%
subplot(8,2,5)
plotx6(HH,[m1save(:,3) m1saveL(:,3) m1saveH(:,3)]*1);
axis tight;
ylabel('Federal Funds Rate');

subplot(8,2,6)
plotx6(HH,[m3save(:,3) m3saveL(:,3) m3saveH(:,3)]*15);
axis tight;
%
subplot(8,2,7)
plotx6(HH,[m1save(:,4) m1saveL(:,4) m1saveH(:,4)]*100);
axis tight;
ylabel('Wage');

subplot(8,2,8)
plotx6(HH,[m3save(:,4) m3saveL(:,4) m3saveH(:,4)]*1500);
axis tight;
%
subplot(8,2,9)
plotx6(HH,[m1save(:,5) m1saveL(:,5) m1saveH(:,5)]*100);
axis tight;
ylabel('CPI');

subplot(8,2,10)
plotx6(HH,[m3save(:,5) m3saveL(:,5) m3saveH(:,5)]*1500);
axis tight;
%
subplot(8,2,11)
plotx6(HH,[m1save(:,6) m1saveL(:,6) m1saveH(:,6)]*100);
axis tight;
ylabel('Hours');

subplot(8,2,12)
plotx6(HH,[m3save(:,6) m3saveL(:,6) m3saveH(:,6)]*1500);
axis tight;
%
subplot(8,2,13)
plotx6(HH,[m1save(:,7) m1saveL(:,7) m1saveH(:,7)]*100);
axis tight;
ylabel('Employment');

subplot(8,2,14)
plotx6(HH,[m3save(:,7) m3saveL(:,7) m3saveH(:,7)]*1500);
axis tight;
%
subplot(8,2,15)
plotx6(HH,[m1save(:,8) m1saveL(:,8) m1saveH(:,8)]*100);
axis tight;
ylabel('Industrial Production');

subplot(8,2,16)
plotx6(HH,[m3save(:,8) m3saveL(:,8) m3saveH(:,8)]*1500);
axis tight;

