function [data,PROBLEM]=simdata(theta,T,T0)
PROBLEM=0;
N=length(theta);
N1=N-3;  %last 3 elements of theta are standard deviation of shocks
%model solution to obtain state space form
 [ GAM0, GAM1,C, PSI, PPI, A1_1, B1_1, A2_1,B2_1, H, modinfo] = modelJPshortH(theta);
     [G1,C,impact,fmat,fwt,ywt,gev,eu]=gensys(GAM0,GAM1,C,PSI,PPI);
     
      neq  = length(fieldnames(modinfo.eq));
neps = length(fieldnames(modinfo.e));
neta = length(fieldnames(modinfo.n));
 G1      = G1(1:neq-neta,1:neq-neta);
impact  = impact(1:neq-neta,:);


F=G1;
QQ=impact;
Sigma=diag(theta(N1+1:end));
F=G1;
QQ=impact;

if eu(1)~=1 | eu(2)~=1  % non-unique and existence
    PROBLEM=1;
end



% Generate data 
t1=T;
t0=T0;
t=t1+t0;

ee=randn(t,neps)*chol(Sigma);

ehat=zeros(t,neq-neta);
ymat=zeros(t,neq-neta);
for i=2:t
    %iid shocks
    
    ehat(i,:)=(QQ*ee(i,:)')';
    %data
    ymat(i,:)=(F*ymat(i-1,:)')'+[ehat(i,:)];
end

%%%%%%%%%test%%%%%%%%%%%%%%%%%%
data=ymat(t0+1:t,1:neq-neta);  %data on Y p R