function [ fsave,fsaveL,fsaveH,FEVDOUT,BASE,HD ] = runproxyvar( datap,instrument,L,HORZ,BS,REPS )

%proxy

%proxy SVAR Code by M Ravn and K Mertens available at 
VAR.p      = L;                                 % Number of Lags
 VAR.irhor  =HORZ;                                % Impulse Response Horizon
 VAR.vars             = datap;
 VAR.proxies          = instrument;
VAR01=VAR;
VAR01      = doProxySVAR_single(VAR01,datap);
fsave=VAR01.irs*-1;
fsaveL=0;
fsaveH=0;
if BS
  VARbs = doProxySVARbootstrap_single(VAR01,REPS,90,datap);  

temp3L=VARbs.irsL*-1;
fsaveL=temp3L;

temp3H=VARbs.irsH*-1;
fsaveH=temp3H;
end

%historical decomp
Y=datap;
N=cols(Y);
%take lags
X=[];
for j=1:L
X=[X lag0(datap,j) ];
end
X=[X ones(rows(X),1)];
Y=Y(L+1:end,:);
X=X(L+1:end,:);



T=rows(Y);

beta2=X\Y;
res=Y-X*beta2;
res1 = detrend(res,'constant');
sigma=(res'*res)/(T-cols(X));
A0=eye(N);
A0(1,:)=VAR01.b1';
Aols=[beta2(end,:)' beta2(1:end-1,:)'];
        IdentMat=A0';
        datamat=datap';
        errormat=VAR01.et;
        const=1;
        
        DecompVAR=var_historical_decomp1(Aols,IdentMat,datamat,...
    errormat',const);
     BASE=DecompVAR.initeffecty;
     HD=DecompVAR.yfs;

temp3x=[fsave.*VAR01.b1(1) zeros(HORZ,N*(N-1))];
FEVDOUT= getfevd1( HORZ,N,L,beta2,chol(sigma),temp3x );












end

